Package de.willuhn.jameica.hbci.io.csv

# Class AddressFormat

java.lang.Object
de.willuhn.jameica.hbci.io.csv.AddressFormat

All Implemented Interfaces:
  `Format<HibiscusAddress>`

public class AddressFormat extends Object implements Format<HibiscusAddress>
Implementierung des CSV-Formats fuer den Adressbuch-Import.

## Constructor Summary

Constructors
Constructor
Description
`AddressFormat()`

## Method Summary

Modifier and Type
Method
Description
`Profile`
`getDefaultProfile()`
Liefert das Default-Profil fuer den Import.
`ImportListener`
`getImportListener()`
Liefert einen optionalen Import-Listener.
`Class<HibiscusAddress>`
`getType()`
Liefert den Typ des Fachobjektes, der mit diesem Format importiert werden kann.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddressFormat

public AddressFormat()

## Method Details

### getDefaultProfile

public Profile getDefaultProfile()
Description copied from interface: `Format`
Liefert das Default-Profil fuer den Import.

Specified by:
  `getDefaultProfile` in interface `Format<HibiscusAddress>`
Returns:
  das Default-Profil.

### getType

public Class<HibiscusAddress> getType()
Description copied from interface: `Format`
Liefert den Typ des Fachobjektes, der mit diesem Format importiert werden kann.

Specified by:
  `getType` in interface `Format<HibiscusAddress>`
Returns:
  Typ des Fachobjektes.

### getImportListener

public ImportListener getImportListener()
Description copied from interface: `Format`
Liefert einen optionalen Import-Listener.

Specified by:
  `getImportListener` in interface `Format<HibiscusAddress>`
Returns:
  optionaler Import-Listener.